<?php
/*
* @ServerMon v1.1
* @Developed by Maksa988
* @www.Server-Mon.ru
* @Copyright (C) 2014
*/
 if(!defined('SMON'))
	die('Hacking attempt!');
	
class user extends Controller {
	public function __construct() {
		$this->header();
		$this->data['activeSection'] = 'edit';
		$this->data['navbarName'] = 'Настройки пользователя';

		if(empty($_SESSION['user_id'])):
			return $this->view(array('common/header', 'user/access', 'common/footer'), $this->data); //Загружаем шаблон
		endif;
		
		$this->model('users');
		$this->data['user'] = $this->usersModel->getUser($_SESSION['user_id']);
		
		if($this->POST('edit')){
			if($this->POST('email')){
				if($this->usersModel->editUser("`user_email` = '{$this->POST('email')}'", $_SESSION['user_id'])){
					$this->data['success'] = 'Вы успешно изменили свои данные.';
				} else {
					$this->data['error'] = 'При изменении данных произошла ошибка.';
				}
			}
			
			if($this->POST('password') && $this->POST('password2')){
				if($this->POST('password') == $this->POST('password2')){
					$password = md5($this->POST('password'));
					if($this->usersModel->editUser("`user_password` = '{$password}'", $_SESSION['user_id'])){
						$this->data['success'] = 'Вы успешно изменили свои данные.';
					} else {
						$this->data['error'] = 'При изменении данных произошла ошибка.';
					}
				} else {
					$this->data['error'] = 'Пароли должны совпадать.';
				}
			}
		}
		
		return $this->view(array('common/header', 'user/edit', 'common/footer'), $this->data); //Загружаем шаблон
	}
}